import { Command, flags } from '@oclif/command';
export default class Serve extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        localtunnel: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'localtunnel-subdomain': flags.IOptionFlag<string | undefined>;
        'project-dir': flags.IOptionFlag<string>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
    };
    run(): Promise<void>;
    loadProjectConfig(flags: any): Promise<any>;
}
